Reduce the indicator arrow size for press-and-hold menus in QToolButtons
ClosedPublic

Authored by hallas on Mar 19 2019, 6:26 PM.

Details

Summary

Changes the drawing of inline indicators with QToolButtons so that it
is drawn as a small arrow in the lower right corner.

Test Plan

Show QToolButton with Menu and PopupDelay enabled

Diff Detail

Repository
R31 Breeze
Branch
draw_small_arrow (branched from master)
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 9867
Build 9885: arc lint + arc unit
hallas created this revision.Mar 19 2019, 6:26 PM
Restricted Application added a project: Plasma. · View Herald TranscriptMar 19 2019, 6:26 PM
Restricted Application added a subscriber: plasma-devel. · View Herald Transcript
hallas requested review of this revision.Mar 19 2019, 6:26 PM

Hi @ngraham ,

I have made this separate change to discuss the redesign of the indicator arrows. The current patch changes the indicator arrow so that the toolbutton stays the same size and the indicator arrow is drawn as a two pixel arrow with one pixel margin to the border. Below is some screen shots:

Indicator arrow size 2 pixels:

I also did a test with a 3 pixel arrow size:

Finally, the before picture:

Thanks very much for this patch! I will review sometime in the next 48 hours.

ngraham accepted this revision.Mar 24 2019, 7:16 PM
ngraham retitled this revision from Changes the drawing of QToolButton inline indicator arrows to Reduce the indicator arrow size for press-and-hold menus in QToolButtons.

...Or 96 hours. :) Thanks, this looks perfect to me.

This revision is now accepted and ready to land.Mar 24 2019, 7:18 PM
hallas closed this revision.Mar 27 2019, 5:19 AM

Did anyone check how this patch look with other icons than those in the screenshot ?
E.g. the preview icon in dolphin, or list sorting or search icons ? Does the new arrow overlap with the said icons ?

Yes I checked, and they looked fine.

However I'm considering reverting the patch anyway because I'm un-convincing myself that it was needed at all to properly support D19311.

Are you +1'ing the original patch or the fact that I reverted it?